Name:           watchman
Version:        4.9.0
Release:        4%{?dist}
Summary:        A file watching service

License:        ASL 2.0
URL:            https://facebook.github.io/watchman/
Source0:        https://github.com/facebook/watchman/archive/v%{version}.tar.gz#/watchman-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pcre-devel /usr/bin/libtoolize openssl-devel
Requires:       pcre

%description
Watchman exists to watch files and record when they actually change. It can
also trigger actions (such as rebuilding assets) when matching files change.

%prep
%autosetup
./autogen.sh


%build
%configure \
    --disable-silent-rules \
    --enable-statedir=%{_sharedstatedir}/watchman \
    --without-python
%make_build


%install
%make_install
rm -rf %{buildroot}%{_docdir}/%{name}*


%files
%{_bindir}/watchman
%{_sharedstatedir}/watchman
%license LICENSE
%doc README.markdown


%changelog
* Sun Jun 25 2017 Matthew Smith <asymptotically508@gmail.com> - 4.7.0-4
- Remove rm -rf buildroot line from install section
- Correct doc location
- Move buildrequires to their own lines
- Add --disable-silent-rules configure
* Wed May 17 2017 Matthew Smith <asymptotically508@gmail.com> - 4.7.0-3
- Add patch to fix builds with GCC 7
* Sun May 14 2017 Matthew Smith <asymptotically508@gmail.com> - 4.7.0-2
- Disable Python bindings
- Fix package description length
- Move state directory to /var/lib/watchman
* Sat May 13 2017 Matthew Smith <asymptotically508@gmail.com> - 4.7.0-1
- Initial package

